Skip to content

Channel Config

POST /config/channel

Channel Config

Requires an admin or broadcaster JWT.

Authorization

Send Authorization: <Twitch Extension Client ID> <Muxy JWT>. The JWT role must satisfy the endpoint requirements shown in the examples.

Request body

Content type: application/json

Schema

{
  "type": "object",
  "description": "Complete JSON value to store or submit.",
  "additionalProperties": true
}

Example

{
  "broadcaster_birthday": "2000-01-01"
}

Responses

200 Response

Write accepted. The current service returns an empty JSON object.

Content type: application/json

Schema
{
  "type": "object",
  "maxProperties": 0
}
Example
{}

400 Error

400

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "400"
}

403 Error

The JWT role is not allowed to perform this operation.

Content type: application/json

Schema
{
  "type": "object",
  "properties": {
    "reason": {
      "type": "string"
    }
  }
}
Example
{
  "reason": "The JWT role is not allowed to perform this operation."
}

Examples

Curl

curl --request POST \
  --url https://sandbox.api.muxy.io/v1/e/config/channel \
  --header 'authorization: <Client ID> <admin or broadcaster JWT>' \
  --header 'content-type: application/json' \
  --data '{ "broadcaster_birthday": "2000-01-01" }'

Javascript

const medkit = new Muxy.SDK();
await medkit.loaded();

const state = medkit.setChannelConfig({
  "broadcaster_birthday": "2000-01-01"
});

Generated API reference

This endpoint is generated from rest-v1.yaml.